﻿using System;

using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Java.Interop;

namespace App4
{
    [Activity(Label = "App4", MainLauncher = true, Icon = "@drawable/icon")]
    public class Activity1 : Activity
    {
        //[Export]
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            // Get our button from the layout resource,
            // and attach an event to it
            Button button = FindViewById<Button>(Resource.Id.MyButton);

            button.Click += delegate
                {
                    var secondIntent = new Intent(this, typeof (Activity2));
                    secondIntent.PutExtra("MySimpleData", "Hello - this is a simple string.");
                    //secondIntent.PutExtra("MyComplexData", new Dto2 {Text = "Text1"});

                    var b = new Bundle();
                    b.PutInt("val",2);
                    b.PutString("text", "text");
                    secondIntent.PutExtra("MyBundle", b);
                    
                    StartActivity(secondIntent);
                };
        }
    }
}

